[前][次][番号順一覧][スレッド一覧]

ruby-changes:64666

From: Nobuyoshi <ko1@a...>
Date: Tue, 29 Dec 2020 21:12:57 +0900 (JST)
Subject: [ruby-changes:64666] f6256d8b7e (master): bisect.sh: Apply bisect.patch if exists [ci skip]

https://git.ruby-lang.org/ruby.git/commit/?id=f6256d8b7e

From f6256d8b7eb97557dac3cb7a99bcde9e81b972d1 Mon Sep 17 00:00:00 2001
From: Nobuyoshi Nakada <nobu@r...>
Date: Tue, 29 Dec 2020 21:05:37 +0900
Subject: bisect.sh: Apply bisect.patch if exists [ci skip]

For some external reasons, e.g. Bison 3.5.91, some commits need to
be applied retroactively in order to pass builds.

diff --git a/tool/bisect.sh b/tool/bisect.sh
index 3b97707..dfc3a64 100755
--- a/tool/bisect.sh
+++ b/tool/bisect.sh
@@ -38,6 +38,18 @@ case $1 in https://github.com/ruby/ruby/blob/trunk/tool/bisect.sh#L38
     ;;
 esac
 
+# Apply $(srcdir)/bisect.patch to build if exists
+# e.g., needs 5c2508060b~2..5c2508060b to use Bison 3.5.91.
+if [ -f bisect.patch ]; then
+    if ! patch -p1 -N < bisect.patch || git diff --no-patch --exit-code; then
+        exit 125
+    fi
+    git status
+    exec=
+else
+    exec=exec
+fi
+
 case "$0" in
 */*)
     # assume a copy of this script is in builddir
@@ -47,4 +59,7 @@ esac https://github.com/ruby/ruby/blob/trunk/tool/bisect.sh#L59
 for target in srcs Makefile $prep; do
     $MAKE $target || exit 125
 done
-exec $MAKE $run
+$exec $MAKE $run
+status=$?
+git checkout -f HEAD
+exit $status
-- 
cgit v0.10.2


--
ML: ruby-changes@q...
Info: http://www.atdot.net/~ko1/quickml/

[前][次][番号順一覧][スレッド一覧]